﻿body {
  margin: 0;
  font-family: Arial;
  color: white;
  overflow-x: hidden;

  background: linear-gradient(
    120deg,
    #ffbf00,
    #7b2cbf,
    #2ecc71,
    #e63946,
    #1d4ed8,
    #64748b
  );

  background-size: 400% 400%;
  animation: bgMove 12s ease infinite;
}

@keyframes bgMove {
  0% { background-position: 0% 50%; }
  50% { background-position: 100% 50%; }
  100% { background-position: 0% 50%; }
}

.navbar{
  display:flex;
  justify-content:space-between;
  align-items:center;
  padding:15px 20px;
  background:rgba(0,0,0,0.6);
  backdrop-filter:blur(10px);
}

.navbar a{
  color:white;
  margin:0 8px;
  text-decoration:none;
  font-weight:500;
  background:none;
  -webkit-text-fill-color:white;
  -webkit-text-stroke:0;
  text-shadow:none;
  transition:0.2s;
}

.navbar a:hover{
  opacity:0.7;
}

.nav-logo{
  height:45px;
  object-fit:contain;
}

.search-box{
  position:relative;
  display:flex;
  align-items:center;
}

.search-icon{
  cursor:pointer;
  font-size:20px;
  padding:8px;
  border-radius:50%;
  background:linear-gradient(90deg,#ffbf00,#7b2cbf);
  color:black;
}

#search{
  width:0;
  opacity:0;
  margin-left:10px;
  padding:6px;
  border:none;
  border-radius:6px;
  transition:0.3s;
}

#search.active{
  width:180px;
  opacity:1;
}

.hero {
  text-align: center;
  padding: 60px 20px;
}

.grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
  gap: 25px;
  padding: 30px;
}

.card {
  background: rgba(0,0,0,0.6);
  border-radius: 16px;
  padding: 15px;
  text-align: center;
  transition: 0.3s;
}

.card img{
  width:100%;
  border-radius:10px;
}

.card:hover {
  transform: translateY(-6px);
  box-shadow: 0 0 20px rgba(123,44,191,0.3);
}

.img-hover{
  position:relative;
}

.img-hover img{
  width:100%;
  border-radius:10px;
  transition:0.3s;
  display:block;
}

.img-hover img.top{
  position:absolute;
  top:0;
  left:0;
  opacity:0;
}

.img-hover:hover img.top{
  opacity:1;
}

.img-hover:hover img:not(.top){
  opacity:0;
}

.img-hover:hover img.top{
  opacity:1;
}

button {
  margin-top: 10px;
  width: 100%;
  padding: 10px;
  border: none;
  border-radius: 10px;
  cursor: pointer;
  background: linear-gradient(90deg,#ffbf00,#7b2cbf);
  color: black;
  font-weight: bold;
}

